Debian Bug report logs - #637732
Please transition lcms for multiarch

version graph

Package: lcms; Maintainer for lcms is Oleksandr Moskalenko <malex@debian.org>;

Reported by: Steve Langasek <steve.langasek@canonical.com>

Date: Sat, 13 Aug 2011 22:33:01 UTC

Severity: normal

Tags: patch

Found in version 1.19.dfsg-1

Fixed in version lcms/1.19.dfsg-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Oleksandr Moskalenko <malex@debian.org>:
Bug#637732; Package lcms. (Sat, 13 Aug 2011 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
New Bug report received and forwarded. Copy sent to Oleksandr Moskalenko <malex@debian.org>. (Sat, 13 Aug 2011 22:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please transition lcms for multiarch
Date: Sat, 13 Aug 2011 15:29:36 -0700
[Message part 1 (text/plain, inline)]
Package: lcms
Version: 1.19.dfsg-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu oneiric ubuntu-patch

Hi Oleksandr,

Please find attached a patch to lcms to transition it to use of the
multiarch library paths as described at
<http://wiki.debian.org/Multiarch/Implementation>.  This patch has been
tested and included in Ubuntu Oneiric.

As a dependency of libmng1 (and therefore of Qt), liblcms1 is part of the
stack packaged in ia32-libs / ia32-libs-gtk.  Converting liblcms1 for
multiarch use, and thus facilitating the direct installation of i386 qt
packages on amd64 systems, will be a great step forward in getting rid of
ia32-libs for wheezy - which is a release goal.  So please consider
including this patch in Debian sooner rather than later.

Note that I have examined the -dev package and confirmed that it contains no
architecture-specific headers, so I have marked this package Multi-Arch:
same in addition to the runtime library package.

Thanks,
--
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[tmpLlS3MX (text/plain, attachment)]

Added indication that bug 637732 blocks 670531 Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Thu, 26 Apr 2012 12:57:03 GMT) Full text and rfc822 format available.

Added indication that bug 637732 blocks 670532 Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Thu, 26 Apr 2012 12:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Oleksandr Moskalenko <malex@debian.org>:
Bug#637732; Package lcms. (Sat, 05 May 2012 11:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Oleksandr Moskalenko <malex@debian.org>. (Sat, 05 May 2012 11:03:09 GMT) Full text and rfc822 format available.

Message #14 received at 637732@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: 637732@bugs.debian.org
Subject: Any progress?
Date: Sat, 5 May 2012 17:03:47 +0600
[Message part 1 (text/plain, inline)]
Is there any progress on this issue? It's currently the only thing
stopping foreign libqtgui4 from installing.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Oleksandr Moskalenko <malex@debian.org>:
Bug#637732; Package lcms. (Sun, 13 May 2012 17:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Oleksandr Moskalenko <malex@debian.org>. (Sun, 13 May 2012 17:39:05 GMT) Full text and rfc822 format available.

Message #19 received at 637732@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 637732@bugs.debian.org
Subject: lcms: diff for NMU version 1.19.dfsg-1.1
Date: Sun, 13 May 2012 18:15:52 +0100
[Message part 1 (text/plain, inline)]
tags 637732 + pending
thanks

Dear maintainer,

I've prepared an NMU for lcms (versioned as 1.19.dfsg-1.1) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Mark Hymers <mhy at debian dot org>

<h0lger> Ganneff: I'm confident in your ability to create a flamewar.
     Extremedura QA/i18n meeting 2008
[lcms-1.19.dfsg-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 17:39:08 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. (Sun, 20 May 2012 17:57:05 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <steve.langasek@canonical.com>:
Bug acknowledged by developer. (Sun, 20 May 2012 17:57:05 GMT) Full text and rfc822 format available.

Message #26 received at 637732-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 637732-close@bugs.debian.org
Subject: Bug#637732: fixed in lcms 1.19.dfsg-1.1
Date: Sun, 20 May 2012 17:52:53 +0000
Source: lcms
Source-Version: 1.19.dfsg-1.1

We believe that the bug you reported is fixed in the latest version of
lcms, which is due to be installed in the Debian FTP archive:

lcms_1.19.dfsg-1.1.diff.gz
  to main/l/lcms/lcms_1.19.dfsg-1.1.diff.gz
lcms_1.19.dfsg-1.1.dsc
  to main/l/lcms/lcms_1.19.dfsg-1.1.dsc
liblcms-utils_1.19.dfsg-1.1_amd64.deb
  to main/l/lcms/liblcms-utils_1.19.dfsg-1.1_amd64.deb
liblcms1-dev_1.19.dfsg-1.1_amd64.deb
  to main/l/lcms/liblcms1-dev_1.19.dfsg-1.1_amd64.deb
liblcms1_1.19.dfsg-1.1_amd64.deb
  to main/l/lcms/liblcms1_1.19.dfsg-1.1_amd64.deb
python-liblcms_1.19.dfsg-1.1_amd64.deb
  to main/l/lcms/python-liblcms_1.19.dfsg-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637732@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated lcms package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 May 2012 17:05:05 +0000
Source: lcms
Binary: liblcms1 liblcms-utils liblcms1-dev python-liblcms
Architecture: source amd64
Version: 1.19.dfsg-1.1
Distribution: unstable
Urgency: low
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 liblcms-utils - Little CMS color management library utilities
 liblcms1   - Little CMS color management library
 liblcms1-dev - Litle CMS color management library development headers
 python-liblcms - Python bindings for Little CMS color management library
Closes: 637732
Changes: 
 lcms (1.19.dfsg-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Apply Multi-Arch patch.  Closes: #637732.
Checksums-Sha1: 
 c6e765a686ac544979f6800b1e42259a89cbd51c 2031 lcms_1.19.dfsg-1.1.dsc
 d6ee3f6287e745e9df89634bdc16fdcb829df9e3 38974 lcms_1.19.dfsg-1.1.diff.gz
 a03e28fd58a085ecc3f61e3aa241f5499d4245b3 111736 liblcms1_1.19.dfsg-1.1_amd64.deb
 9ec940b162b107fa03e78c88040c9c8ee65509fc 61078 liblcms-utils_1.19.dfsg-1.1_amd64.deb
 9ab33584f54296a0fbea78f3074d7ab97638986b 201616 liblcms1-dev_1.19.dfsg-1.1_amd64.deb
 cab481e24cd5b4d9eed4b0a49c547e173fb22689 962744 python-liblcms_1.19.dfsg-1.1_amd64.deb
Checksums-Sha256: 
 f3f464a357dfe48ab641b1b03b5fbc3e8505526653fa82b81bf6f9b7a54f10b6 2031 lcms_1.19.dfsg-1.1.dsc
 eaf6f35873f7976de1d08543cd6f6411bf4afa20468755cec0862c52d0313671 38974 lcms_1.19.dfsg-1.1.diff.gz
 754d7387a822dad182e8a86d582bc02f956243749b3607603cf1aec25a7e8a93 111736 liblcms1_1.19.dfsg-1.1_amd64.deb
 34b9f1691b0fdf5c3fb4460e8a80f1fc9c27ac340b204ed0d0d792a9ca7be870 61078 liblcms-utils_1.19.dfsg-1.1_amd64.deb
 94dc2ace67b9f22d5bdedff57f60975bfb83e968a09b701a93f77ec296e17c72 201616 liblcms1-dev_1.19.dfsg-1.1_amd64.deb
 0202e33a5fc0b075b518ba0c3e30b5e3eff32ae16b1f61f2f38d5e8628cf5051 962744 python-liblcms_1.19.dfsg-1.1_amd64.deb
Files: 
 f97144c934e6b261a3d5685460fc48b0 2031 libs optional lcms_1.19.dfsg-1.1.dsc
 9ef5505affebb8d0a576fb629f6c5fe8 38974 libs optional lcms_1.19.dfsg-1.1.diff.gz
 089b49fda28900c81213ab01eea79c36 111736 libs optional liblcms1_1.19.dfsg-1.1_amd64.deb
 f206748a19a9c96a359e977f55dc2951 61078 utils optional liblcms-utils_1.19.dfsg-1.1_amd64.deb
 9b5c6b5f21584a1cd3678a1b3f8fdd1e 201616 libdevel optional liblcms1-dev_1.19.dfsg-1.1_amd64.deb
 c8d1ebfd0fdc69595178253a0b108f78 962744 python optional python-liblcms_1.19.dfsg-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPr+xdAAoJEBG05f8VsP2C4hsP/1+nq3P7qItJzXKRSB/L3tQy
vou7y6wzCVedB2flKWQppF0w4AWbam/+dgHg1sHnpi0fzfV4ZlGCdharfgjuEpTQ
38eBzXTXFQ10UWUK0nxUvwPJ2Nwy295M+VDX4XXFA5keIUno01UHVd7osWGhbtEn
oT8chPs+7IdnR1ZNyxKJXXFeRC8rTwi8vXyd+xBb87OD5OlNKl3A4wuVK2IXPlvR
Z03j2JaVS71V9T/pY8Vjrp6jlym9z4mJwQytYBNtMfR0UyStYbcrOH2yQG4AE4lw
TiPb5SGCrzWyiZLO3MiyBI7uOkEmGwFK4XJu1TYQQb7/F5QfSQ1hqbGkQ3zsAKP+
5c47bq/w5xoas/7XPBswB3Bm5D6ORiop2jkWmJvTg87BMl8enxkm9vLGIh4pYUJX
PMmjPButtpU66XC1Gv/53sVeguR8HmrtXXJ6XVZ0W0x1jpMiNS4QXClKtrReVEuS
8pZBbNgr+ko25Jf+gGN4M53gOhQAC89nvO1OYqw97a5DZStzP2qKNhciAgHeUGnU
LEAM6pUU0w4X8StXqXQtQlJsw9JsasPIoErUZpRsli7OhME05+m0+o4ZmIvIFuij
QfCOC/N4dY9Aa76+aL4UMhlS3dxs5fENcLOtRe7qkr9NA53nvPF0fHHmOPydUFXB
lpvf7KgUF40HNRQOh4rt
=FfHu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Jun 2012 07:40:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:42:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.